<!doctype html>
<!--[if lt IE 9]> <html class="ie_fix" lang="en"> <![endif]-->
<!--[if gt IE 9]><!--> <html lang="en"> <!--<![endif]-->
<!--<html lang="en">-->
    <head>
        <meta charset="utf-8">

        <title>Qt Documentation Archives</title>

        <meta name="description" content="Online Reference Documentation">
        <meta name="viewport" content="width=device-width; initial-scale=1.0">

        <style>
            /* http://meyerweb.com/eric/tools/css/reset/
               v2.0 | 20110126
               License: none (public domain)
            */

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            b, u, i, center,
            dl, dt, dd, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td,
            article, aside, canvas, details, embed,
            figure, figcaption, footer, header, hgroup,
            menu, nav, output, ruby, section, summary,
            time, mark, audio, video {
                margin: 0;
                padding: 0;
                border: 0;
                font-size: 100%;
                font: inherit;
                vertical-align: baseline;
            }
            body {
            font: normal 400 14px/1.2 Arial;
            font-family: Arial, Helvetica;
            color:#313131;
            text-align:justify;
            margin-left:5px;
            margin-right:5px;
            background: none repeat scroll 0% 0% rgb(230,231,232);
            }
            ol, ul {
                list-style: none;
            }
            blockquote, q {
                quotes: none;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: '';
                content: none;
            }
            table {
                border-collapse: collapse;
                border-spacing: 0;
            }
            a {
                color: #00732F;
                text-decoration: none;
                font-weight: normal;
            }
            a:hover {
                color: #4c0033;
                text-decoration: underline;
            }
            h2 small {
                display: block;
                font-size: 17px;
                color: #444;
                white-space: nowrap;
                text-overflow: ellipsis;
                font-weight: normal;
            }

            @media (min-width: 1100px) {
                header {
                    padding: 15px 30px;
                    min-height: 70px;
                }
                header img {
                    position: absolute;
                    left: 30px;
                }
                header h1 {
                    line-height: 70px;
                    font-size: 30px;
                }
                .content {
                    padding: 30px;
                }
                .nav {
                    position: absolute;
                    top: 10px;
                    right: 30px;
                }
            }
            @media (max-width: 1100px) {
                header {
                    padding: 15px 30px;
                }
                header img {
                    display: block;
                    margin: 20px auto;
                }
                header h1 {
                    line-height: auto;
                    font-size: 30px;
                }
            }
            @media (min-width: 650px) {
                /* **************** GRIDS ***************** */
                /*
            -----------
            main content
            -----------
            */
            .line{
            text-align: left;
            background: none repeat scroll 0% 0% rgb(255,255,255);
            border-radius: 10px 10px 10px 10px;
            padding-left: 14px;
            padding-right: 14px;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
            margin-top: 10px;
            padding-bottom: 35px;
            }
                .content {
                    padding: 30px;
                }
            }
            @media (max-width: 830px) {
                .content {
                    padding: 15px 10px;
                }
                h2 small {
                    font-size: 11px;
                }
            }
            @media (max-width: 750px) {
                h2 small {
                    font-size: 10px;
                }
                .content {
                    padding: 15px 8px;
                }
            }
            @media (max-width: 650px) {
                .section_1,
                .section_2,
                .section_3 {
                    width: 100%;
                }
                .section_1 h2,
                .section_2 h2,
                .section_3 h2 {
                    width: 100%;
                    border-top: 1px solid #D1D1D1;
                }
                .content {
                    padding: 0;
                }
                h2 small {
                    font-size: 12px;
                }
            }
            header {
                background: #fff;
                -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                -moz-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                text-align: center;
            }
            .line {
                background: #fff;
                -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                -moz-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                box-shadow: 0 0 10px rgba(0, 0, 0, .1);
            }
            .section_1 h2,
            .section_2 h2,
            .section_3 h2 {
                min-width: 200px;
                overflow: hidden;
                border-bottom: 1px solid #D1D1D1;
                text-align: center;
                padding: 22px;
                font-size: 28px;
                font-weight: bold;
            }
            .info_text {
                font-size: 12px;
                text-align: center;
                padding: 5px;
            }
            .wrap ul {
                margin-top: 10px;
                margin-left: 10px;
            }
            ul{
            padding-bottom:2px;
            }

            li {
            margin-bottom: 10px;
            padding-left: 8px;
            list-style:outside;
            list-style-type:square;
            text-align:left;
            }


            ol{
            margin:10px;
            padding:0;
            }

            ol > li{
            margin-left: 30px;
            padding-left:8px;
            list-style:decimal;
            }
            h5 {
                margin: 15px 0 15px 3px;
            }
            .copyright-wrapper {
                font-size: 10px;
                color: #555;
                text-align: center;
                margin-top: 20px;
                padding: 5px;
                line-height: 1.5;
            }
            .footer_line {
                font-size: 12px;
                text-align: center;
                margin-top: 20px;
            }
            .wrap {
                display: inline-block;
                padding: 6px 45px 20px;
            }

            .nav{
            text-align:right;
            margin-right:9px;
            }
            .nav img{
                box-shadow: none;
            }
            .nav-main{
            margin-top:22px;
            margin-left: 20px;
            text-align:left
            }
            .nav-main-content{
            font-weight:bold;
            margin-right: 20px;
            display:inline-block;
            }
            .nav-subtitle{
            margin-left: 220px;
            }
            .header{
            height:1px;
            padding:0px;
            margin:0px;
            }

            header{
            background: none repeat scroll 0% 0% rgb(255,255,255);
            border-radius: 10px 10px 10px 10px;
            padding: 10px;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
            }

            header h1{
            display:block;
            line-height: 70px;
            font-size: 30px;
            margin-left: 223px;
            }
            header img{
            box-shadow: none;
            border: 0;
            position: absolute;
            left: 30px;
            }
            .warning {
            font: 500 16px/1.2 Arial;
            font-weight:100;
            text-align: center;
            background-color:#fce9f4;
            padding:14px;
            padding-left:14px;
            margin-bottom:20px;
            margin-top:30px;
            margin-left:-10px;
            margin-right:-5px;
            border-top:#E0E0DE 1px solid;
            border-bottom: #E0E0DE 1px solid;
            max-width: 99%;
            }
        </style>

        <script type="text/javascript">
            /* html5 fix for ie6-8 */
            'article aside footer header nav section time'.replace(/\w+/g,function(n){document.createElement(n)});
        </script>

        <script type=text/javascript>

          var _gaq = _gaq || [];
          _gaq.push(['_setAccount', 'UA-35526570-1']);
          _gaq.push(['_trackPageview']);

          (function() {
            var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
            ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
          })();

        </script>

    </head>

    <body>
        <header>
        <div class="nav">
            <a href="http://qt-project.org/">Qt Home</a>
            <a href="https://bugreports.qt-project.org/">Bug Tracker</a>
            <a href="https://codereview.qt-project.org/">Code Review</a>
        </div>
        <a href="http://qt-project.org/">
            <img src="http://doc-snapshot.qt-project.org/images/logo.png" alt="Qt"></img>
        </a>
       <div class="nav-title">
        <h1 >Qt Documentation Archives</h1>
           <div class="nav-subtitle">
           --archives of Qt documentation provided by Digia
           </div>
       </div>
        <div class="nav-main">
        <div class="warning">For the latest <a href="http://qt-project.org">Qt Project</a>
        documentation, visit the
        <a href="http://doc-snapshot.qt-project.org">Snapshots</a> and
        <a href="http://qt-project.org/doc">Qt Releases</a> pages.
        </div>
            <div class="nav-main-content">
                <a href="http://doc-snapshot.qt-project.org">Snapshots</a>
            </div>
            <div class="nav-main-content">
                <a href="http://qt-project.org/doc">Qt Releases</a>
            </div>
            <div class="nav-main-content">
                <a href="http://doc.qt.digia.com">Archives</a>
            </div>
        </div>
    </header>
        <section class="content">
            <div class="line">
                <div class="unit size1of3 section_2">
                        <h2>404<small>Page not found</small></h2>
                        <div class="wrap">
                        <h5>The documentation set you are looking for may have been moved to
                        the <a href="http://qt-project.org">Qt Project</a>. Please update your shortcuts or bookmarks.</h5>

                        <h5>Here are the links for the current releases:</h5>
                            <ul>
                                <li><a href="https://qt-project.org/doc/qt">https://qt-project.org/doc/qt</a>  - Qt Reference Documentation</li>
                                <li><a href="http://qt-project.org/doc/qtcreator">http://qt-project.org/doc/qtcreator</a>  - Qt Creator </li>
                            </ul>
                        <h5>Here are the sites which host Qt documentation:</h5>
                            <ul>
                                <li><a href="http://qt-project.org/doc/">http://qt-project.org/doc/</a>  - Released Qt versions</li>
                                <li><a href="http://doc-snapshot.qt-project.org/">http://doc-snapshot.qt-project.org</a>  - Snapshots of upcoming Qt releases and other Qt tool manuals</li>
                                <li><a href="http://doc.qt.digia.com/">http://doc.qt.digia.com</a>  - Archives of previous Qt versions</li>
                            </ul>
                        </div>
               </div>
            </div>
            <div class="copyright-wrapper">
                <p>&copy; 2013 Digia Plc and/or its subsidiaries. Digia Plc, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide. All other trademarks are property of their respective owners.
            </div>
        </section>
    </body>
</html>
